org.eclipse.microprofile.rest.client.tck.sse

## Class BasicReactiveStreamsTest

- java.lang.Object
- - org.eclipse.microprofile.rest.client.tck.sse.AbstractSseTest
  - - org.eclipse.microprofile.rest.client.tck.sse.BasicReactiveStreamsTest

    public class BasicReactiveStreamsTest
    extends AbstractSseTest

### Field Summary

### Fields inherited from class org.eclipse.microprofile.rest.client.tck.sse.AbstractSseTest

`PORT`

### Constructor Summary

Constructors
Constructor and Description
`BasicReactiveStreamsTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `testCommentOnlySse()`
`void` `testDataOnlySse_InboundSseEvent()`
`void` `testDataOnlySse_JsonObject()`
`void` `testDataOnlySse_String()`
`void` `testNamedEventSse()`
`void` `testServerClosesConnection()`

### Methods inherited from class org.eclipse.microprofile.rest.client.tck.sse.AbstractSseTest

`launchServer, launchServer, sleep`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicReactiveStreamsTest

    public BasicReactiveStreamsTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### testDataOnlySse_InboundSseEvent

    public void testDataOnlySse_InboundSseEvent()
                                         throws Exception

Specified by:
  `testDataOnlySse_InboundSseEvent` in class `AbstractSseTest`
Throws:
  `Exception`

#### testDataOnlySse_String

    public void testDataOnlySse_String()
                                throws Exception

Specified by:
  `testDataOnlySse_String` in class `AbstractSseTest`
Throws:
  `Exception`

#### testDataOnlySse_JsonObject

    public void testDataOnlySse_JsonObject()
                                    throws Exception

Specified by:
  `testDataOnlySse_JsonObject` in class `AbstractSseTest`
Throws:
  `Exception`

#### testCommentOnlySse

    public void testCommentOnlySse()
                            throws Exception

Specified by:
  `testCommentOnlySse` in class `AbstractSseTest`
Throws:
  `Exception`

#### testNamedEventSse

    public void testNamedEventSse()
                           throws Exception

Specified by:
  `testNamedEventSse` in class `AbstractSseTest`
Throws:
  `Exception`

#### testServerClosesConnection

    public void testServerClosesConnection()
                                    throws Exception

Specified by:
  `testServerClosesConnection` in class `AbstractSseTest`
Throws:
  `Exception`